# Download Trade Confirmation

This endpoint downloads the confirmation for a specific trade, and returns a `307 Temporary Redirect` to the trade confirmation PDF location.
Trade confirmations are sensitive documents. For security reasons, we return trade confirmations as PDFs through a URL with a 10-minute TTL.
Trade confirmation PDFs should be fetched and served just-in-time, not stored in databases.
Trades with `"activity": "MATURITY"` do not have trade confirmations.

Endpoint: GET /api/v1/accounts/{account_id}/trades/{trade_id}/confirmation/
Version: Version: 970cd0fc
Security: CodeBearer

## Security:

  - `CodeBearer` (unknown)
    oauth2 scopes: pockets.read

## Path parameters:

  - `trade_id` (string, required)

  - `account_id` (string, required)

## Response 307:

  - `307` (unknown)
    Successful Response

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

